# vim: set sw=4 ts=4 et nu:
#
# spec file for package clzip
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011-2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           clzip
Version:        1.7
Release:        4.1
Summary:        Lossless Data Compressor based on LZMA
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Url:            http://www.nongnu.org/lzip/clzip.html

Source:         http://download.savannah.gnu.org/releases/lzip/clzip/%name-%version.tar.gz
Source2:        http://download.savannah.gnu.org/releases/lzip/clzip/%name-%version.tar.gz.sig
Source3:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): info
Requires(preun):info

%description
Clzip is a lossless data compressor based on the LZMA algorithm, with
very safe integrity checking and a user interface similar to that of
gzip or bzip2. Clzip decompresses almost as fast as gzip and
compresses better than bzip2, which makes it well suited for software
distribution and data archiving. Clzip uses the lzip file format; the
files produced by clzip are fully compatible with lzip-1.4 or newer.
Clzip is, in fact, a C language implementation of lzip, intended for
embedded devices or systems lacking a C++ compiler.

%prep
%setup -q

%build
# not autoconf
./configure \
    --srcdir=. \
    --prefix="%_prefix" \
    --bindir="%_bindir" \
    --datadir="%_datadir" \
    --infodir="%_infodir" \
    --mandir="%_mandir" \
    --sysconfdir="%_sysconfdir" \
    CC="gcc" \
    CFLAGS="%optflags"

make %{?_smp_flags}

%install
make install DESTDIR="%buildroot"

%post
%install_info --info-dir="%_infodir" "%_infodir/clzip.info%ext_info"

%preun
%install_info_delete --info-dir="%_infodir" "%_infodir/clzip.info%ext_info"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/clzip
%doc %_mandir/man1/clzip.1%ext_man
%doc %_infodir/clzip.info%ext_info

%changelog
* Thu Aug  6 2015 jengelh@inai.de
- Update to new upstream release 1.7
  * The option "-0", which produces a compression speed and ratio
  comparable to those of gzip, has been ported from lzip.
* Wed Oct  1 2014 jengelh@inai.de
- Update to new upstream release 1.6
  * Compression ratio of option -9 has been slightly increased.
  * Copying of file dates, permissions, and ownership now behaves
  like `cp -p`. (If the user ID or the group ID cannot be
  duplicated, the file permission bits S_ISUID and S_ISGID are
  cleared).
  * The license has been changed to GPL version 2 or later.
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Oct  2 2013 jengelh@inai.de
- Update to new upstream release 1.5
  * Clzip now shows the progress of compression at verbosity
  level 2 (-vv).
* Sat Jun  8 2013 jengelh@inai.de
- Use more robust make install call; remove redundant %%clean
  section; wrap description at 70 cols; GPG signature verification
* Mon Apr  1 2013 pascal.bleser@opensuse.org
- update to 1.4:
  * Multi-step trials have been implemented
  * Compression ratio has been slightly increased
  * Compression time has been reduced by 10%%
  * Decompression time has been reduced by 8%%
* Thu Mar 29 2012 pascal.bleser@opensuse.org
- update to 1.3:
  * inability to change output file attributes has been downgraded from error
    to warning
  * a small change has been made in the "--help" output and man page
* Mon May 23 2011 pascal.bleser@opensuse.org
- initial version (1.2)
